aboutsummaryrefslogtreecommitdiffstats
path: root/testing/sems/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-12-18 09:40:02 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-12-18 09:40:02 +0000
commitae4d66b1bade676c8053288d05fa202b65684be1 (patch)
treec8b4b4d86990c85fb542813e842df55e61d242e2 /testing/sems/APKBUILD
parent0b2726014c620015f9e0c4b2d054f379090cc5dd (diff)
downloadaports-ae4d66b1bade676c8053288d05fa202b65684be1.tar.gz
aports-ae4d66b1bade676c8053288d05fa202b65684be1.tar.bz2
aports-ae4d66b1bade676c8053288d05fa202b65684be1.tar.xz
testing/sems: build fix
fixes #222
Diffstat (limited to 'testing/sems/APKBUILD')
-rw-r--r--testing/sems/APKBUILD36
1 files changed, 25 insertions, 11 deletions
diff --git a/testing/sems/APKBUILD b/testing/sems/APKBUILD
index ff8c8b0e51..51c3a0444d 100644
--- a/testing/sems/APKBUILD
+++ b/testing/sems/APKBUILD
@@ -2,32 +2,42 @@
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=sems
pkgver=1.1.1
-pkgrel=0
+pkgrel=1
pkgdesc="High performance, extensible media server for SIP (RFC3261) based VoIP services"
url="http://iptel.org/sems/"
license="GPL-2"
depends="kamailio"
-makedepends="python openssl-dev"
+makedepends="python-dev openssl-dev lame-dev"
install=
-subpackages=""
+subpackages=
source="http://ftp.iptel.org/pub/$pkgname/1.1/$pkgver/src/$pkgname-$pkgver.tar.gz
+ 0001-makefile-fail-on-errors.patch
+ 0002-include-headers.patch
+ 0003-cc-and-cflags.patch
"
-# append extra dependencies to -dev subpackage
-# remove if not used.
-# depends_dev="somepackage-dev"
-
-build() {
+prepare() {
cd "$srcdir"/$pkgname-$pkgver
+ for i in "$srcdir"/*.patch; do
+ [ -f "$i" ] || continue
+ patch -p1 -i $i || return 1
+ done
+
sed -i -e 's:^cfg-target.*:cfg-target = $(cfg-dir):' \
-e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' \
Makefile.defs \
|| return 1
+}
+
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
make PREFIX=/usr \
cfg-dir=/etc/sems/ \
CC="$CC" CXX="$CXX" \
- exclude_modules="ivr examples py_sems" \
+ exclude_modules+="ivr examples py_sems speex gateway echo g722" \
+ WITH_MPG123DECODER=no \
|| return 1
}
@@ -35,8 +45,9 @@ package() {
cd "$srcdir"/$pkgname-$pkgver
make PREFIX=/usr \
cfg-dir=/etc/sems/ \
- exclude_modules="ivr examples py_sems" \
+ exclude_modules+="ivr examples py_sems speex gateway echo g722" \
DESTDIR="$pkgdir" \
+ WITH_MPG123DECODER=no \
install || return 1
# remove the 2 lines below (and this) if there is no init.d script
@@ -44,4 +55,7 @@ package() {
# install -m644 -D "$srcdir"//$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
}
-md5sums="4a6422d09ddadaf9eacd8cae8f0848d5 sems-1.1.1.tar.gz"
+md5sums="4a6422d09ddadaf9eacd8cae8f0848d5 sems-1.1.1.tar.gz
+f893ceef9295b593d2b1837a538b315a 0001-makefile-fail-on-errors.patch
+3d217a6d217fa8704d108f23815d4b97 0002-include-headers.patch
+0054e6ed7e11393e71204876179d3199 0003-cc-and-cflags.patch"